| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
GslSvc Class Reference

The implementation of IGslSvc interface. More...

`#include <src/Components/GslSvc.h>`

Inheritance diagram for GslSvc:
[legend]
Collaboration diagram for GslSvc:
[legend]

## Public Member Functions
| GslSvc (const GslSvc &)=delete
| no copy constructor / assignment More...
GslSvc & | operator= (const GslSvc &)=delete
StatusCode | handle (const GslError &error) const override
| handle the GSL error More...
GslErrorHandler | handler () const override
| retrieve the current GSL error handler More...
GslErrorHandler | setHandler (GslErrorHandler handler) const override
| set new GSL error handler More...
StatusCode | status (const int error) const override
| transform GSL error code to Gaudi status code More...
StatusCode | initialize () override
| standard service initialization More...
StatusCode | finalize () override
| standard service finalization More...
Public Member Functions inherited from extends< Service, IGslSvc >
void * | i_cast (const InterfaceID &tid) const override
| Implementation of IInterface::i_cast. More...
StatusCode | queryInterface (const InterfaceID &ti, void **pp) override
| Implementation of IInterface::queryInterface. More...
std::vector< std::string > | getInterfaceNames () const override
| Implementation of IInterface::getInterfaceNames. More...
| ~extends () override=default
| Virtual destructor. More...
Public Member Functions inherited from Service
const std::string & | name () const override
| Retrieve name of the service. More...
StatusCode | configure () override
StatusCode | initialize () override
StatusCode | start () override
StatusCode | stop () override
StatusCode | finalize () override
StatusCode | terminate () override
Gaudi::StateMachine::State | FSMState () const override
Gaudi::StateMachine::State | targetFSMState () const override
StatusCode | reinitialize () override
StatusCode | restart () override
StatusCode | sysInitialize () override
| Initialize Service. More...
StatusCode | sysStart () override
| Initialize Service. More...
StatusCode | sysStop () override
| Initialize Service. More...
StatusCode | sysFinalize () override
| Finalize Service. More...
StatusCode | sysReinitialize () override
| Re-initialize the Service. More...
StatusCode | sysRestart () override
| Re-initialize the Service. More...
| Service (std::string name, ISvcLocator *svcloc)
| Standard Constructor. More...
SmartIF< ISvcLocator > & | serviceLocator () const override
| Retrieve pointer to service locator. More...
StatusCode | setProperties ()
| Method for setting declared properties to the values specified for the job. More...
template<class T >
StatusCode | service (const std::string &name, const T *&psvc, bool createIf=true) const
| Access a service by name, creating it if it doesn't already exist. More...
template<class T >
StatusCode | service (const std::string &name, T *&psvc, bool createIf=true) const
template<typename IFace = IService>
SmartIF< IFace > | service (const std::string &name, bool createIf=true) const
template<class T >
StatusCode | service (const std::string &svcType, const std::string &svcName, T *&psvc) const
| Access a service by name and type, creating it if it doesn't already exist. More...
template<class T >
StatusCode | declareTool (ToolHandle< T > &handle, std::string toolTypeAndName, bool createIf=true)
| Declare used tool. More...
SmartIF< IAuditorSvc > & | auditorSvc () const
| The standard auditor service.May not be invoked before sysInitialize() has been invoked. More...
Public Member Functions inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
| PropertyHolder ()=default
| ~PropertyHolder () override=default
Gaudi::Details::PropertyBase & | declareProperty (Gaudi::Details::PropertyBase &prop)
| Declare a property. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, TYPE &value, const std::string &doc="none")
| Helper to wrap a regular data member and use it as a regular property. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, TYPE &value, const std::string &doc="none") const
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, Gaudi::Property< TYPE, VERIFIER, HANDLERS > &prop, const std::string &doc="none")
| Declare a PropertyBase instance setting name and documentation. More...
Gaudi::Details::PropertyBase * | declareRemoteProperty (const std::string &name, IProperty *rsvc, const std::string &rname="")
| Declare a remote property. More...
StatusCode | setProperty (const Gaudi::Details::PropertyBase &p) override
| set the property form another property More...
StatusCode | setProperty (const std::string &s) override
| set the property from the formatted string More...
StatusCode | setProperty (const std::string &n, const std::string &v) override
| set the property from name and the value More...
StatusCode | setProperty (const std::string &name, const TYPE &value)
| set the property form the value More...
StatusCode | getProperty (Gaudi::Details::PropertyBase *p) const override
| get the property More...
const Gaudi::Details::PropertyBase & | getProperty (const std::string &name) const override
| get the property by name More...
StatusCode | getProperty (const std::string &n, std::string &v) const override
| convert the property to the string More...
const std::vector< Gaudi::Details::PropertyBase * > & | getProperties () const override
| get all properties More...
bool | hasProperty (const std::string &name) const override
| Return true if we have a property with the given name. More...
| PropertyHolder (const PropertyHolder &)=delete
PropertyHolder & | operator= (const PropertyHolder &)=delete
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, GaudiHandleBase &ref, const std::string &doc="none")
| Specializations for various GaudiHandles. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, GaudiHandleArrayBase &ref, const std::string &doc="none")
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, DataObjectHandleBase &ref, const std::string &doc="none")
Public Member Functions inherited from CommonMessagingBase
virtual | ~CommonMessagingBase ()=default
| Virtual destructor. More...
const SmartIF< IMessageSvc > & | msgSvc () const
| The standard message service. More...
MsgStream & | msgStream () const
| Return an uninitialized MsgStream. More...
MsgStream & | msgStream (const MSG::Level level) const
| Predefined configurable message stream for the efficient printouts. More...
MsgStream & | always () const
| shortcut for the method msgStream(MSG::ALWAYS) More...
MsgStream & | fatal () const
| shortcut for the method msgStream(MSG::FATAL) More...
MsgStream & | err () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | error () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | warning () const
| shortcut for the method msgStream(MSG::WARNING) More...
MsgStream & | info () const
| shortcut for the method msgStream(MSG::INFO) More...
MsgStream & | debug () const
| shortcut for the method msgStream(MSG::DEBUG) More...
MsgStream & | verbose () const
| shortcut for the method msgStream(MSG::VERBOSE) More...
MsgStream & | msg () const
| shortcut for the method msgStream(MSG::INFO) More...
MSG::Level | msgLevel () const
| get the cached level (originally extracted from the embedded MsgStream) More...
MSG::Level | outputLevel () const __attribute__((deprecated))
| Backward compatibility function for getting the output level. More...
bool | msgLevel (MSG::Level lvl) const
| get the output level from the embedded MsgStream More...
Public Member Functions inherited from extend_interfaces< Interfaces... >
| ~extend_interfaces () override=default
| Virtual destructor. More...

## Private Attributes
Gaudi::Property< std::string > | m_errorPolicy {this, "ErrorPolicy", "GSL", ""}
Gaudi::Property< std::vector< std::string > > | m_handlersTypeNames {this, "Handlers", {}, ""}
Gaudi::Property< std::vector< int > > | m_ignore {this, "IgnoreCodes", {}, "codes to be ignored"}
std::vector< IGslErrorHandler * > | m_handlers

## Additional Inherited Members
Public Types inherited from extends< Service, IGslSvc >
using | base_class = extends
| Typedef to this class. More...
using | extend_interfaces_base = extend_interfaces< Interfaces... >
| Typedef to the base of this class. More...
Public Types inherited from Service
typedef Gaudi::PluginService::Factory< IService *, const std::string &, ISvcLocator * > | Factory
Public Types inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
using | PropertyHolderImpl = PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
| Typedef used to refer to this class from derived classes, as in. More...
Public Types inherited from CommonMessaging< implements< IService, IProperty, IStateful > >
using | base_class = CommonMessaging
Public Types inherited from extend_interfaces< Interfaces... >
using | ext_iids = typename Gaudi::interface_list_cat< typename Interfaces::ext_iids... >::type
| take union of the ext_iids of all Interfaces... More...
Protected Member Functions inherited from Service
| ~Service () override
| Standard Destructor. More...
int | outputLevel () const
| get the `Service's` output level More...
Protected Member Functions inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
Gaudi::Details::PropertyBase * | property (const std::string &name) const
Protected Member Functions inherited from CommonMessaging< implements< IService, IProperty, IStateful > >
MSG::Level | setUpMessaging ()
| Set up local caches. More...
MSG::Level | resetMessaging ()
| Reinitialize internal states. More...
void | updateMsgStreamOutputLevel (int level)
| Update the output level of the cached MsgStream. More...
Protected Attributes inherited from Service
Gaudi::StateMachine::State | m_state = Gaudi::StateMachine::OFFLINE
| Service state. More...
Gaudi::StateMachine::State | m_targetState = Gaudi::StateMachine::OFFLINE
| Service state. More...
Gaudi::Property< int > | m_outputLevel {this, "OutputLevel", MSG::NIL, "output level"}
Gaudi::Property< bool > | m_auditInit {this, "AuditServices", false, "[[deprecated]] unused"}
Gaudi::Property< bool > | m_auditorInitialize {this, "AuditInitialize", false, "trigger auditor on initialize()"}
Gaudi::Property< bool > | m_auditorStart {this, "AuditStart", false, "trigger auditor on start()"}
Gaudi::Property< bool > | m_auditorStop {this, "AuditStop", false, "trigger auditor on stop()"}
Gaudi::Property< bool > | m_auditorFinalize {this, "AuditFinalize", false, "trigger auditor on finalize()"}
Gaudi::Property< bool > | m_auditorReinitialize {this, "AuditReinitialize", false, "trigger auditor on reinitialize()"}
Gaudi::Property< bool > | m_auditorRestart {this, "AuditRestart", false, "trigger auditor on restart()"}
SmartIF< IAuditorSvc > | m_pAuditorSvc
| Auditor Service. More...

## Detailed Description

The implementation of IGslSvc interface.

The Gsl Service is teh service which perform intelligent error handling for GSL (GNU Scientific Library)

It provides a choice between different "Error Handling Policies"

Current implementation supports the several "error handling policies", which are driven by "ErrorPolicy" property of class GslSvc:

- "GSL": The simplest error policy, no action, the error hadling defined in GSL does not redefined
- "Off": The GSL empty error handling is used, what means the ignorance of all GSL errors. Program continues after any error, so the return values from any library routines must be checked. This policy is recommended by GSL team for production programs
- "Abort" The default GSL error policy, causes abort on error.
- "Ignore" The policy which is essentially the same as "Off", but performed with local error handler GslErrorHandlers::ignoreTheError
- "Exception" This policy throws the GaudiException with tag *GSL Error" to be thrown at the error. The policy implemented by local error handler GslErrorHandlers::throwException
- "Handle" The policy which uses the call back from local error handler GslErrorHandlers::handleTheError to IGslSvc::handle method. Current implementation of this method is sequential execution of declared handlers, defined through the property "Handlers" of class GslSvc in a format: GslSvc.Handlers = { "H1Type/H1Name" , "H2Type/H2Name" , "H3ype/3Name" }; The "handlers" must implement IGslErrorHandler interface The concrete handlers are provided in GaudiGSL package: class GslErorCount, GslErrorPrint and GslErrorException.

Attention
  The error handling could be "turned off" for selected error codes (e.g. GSL_SUCCESS or GSL_CONTINUE ) using "IgnoreCodes" property. This feature is active only for "Handle" error policy.

See also
  GslErrorHandlers
  GslErrorHandlers::ingnoreTheError
  GslErrorHandlers::throwException
  GslErrorHandlers::handleTheError
  IGslSvc
  IGslErrorHandler
  GslErrorCount
  GslErrorPrint
  GslErrorException

Author
  Vanya Belyaev Ivan..nosp@m.Bely.nosp@m.aev@i.nosp@m.tep..nosp@m.ru

Date
  29/04/2002

Definition at line 83 of file GslSvc.h.

## Constructor & Destructor Documentation

GslSvc::GslSvc | ( | const GslSvc & |  | ) |
| delete

no copy constructor / assignment

## Member Function Documentation

StatusCode GslSvc::finalize | ( |  | ) |
| override

standard service finalization

See also
  Service
  IGslSvc
  IService

Returns
  status code

See also
  Service
  IService

Returns
  status code

Definition at line 113 of file GslSvc.cpp.

114 {
115 debug() << "==> Finalize" << endmsg;
116
117 // deactivate the static accessor to the service
118 GaudiGSL::setGslSvc( nullptr );
119
120 // finalize the base class
121 return Service::finalize();
122 }
Service::finalize
StatusCode finalize() override
Definition: Service.cpp:174
GaudiGSL::setGslSvc
static const IGslSvc * setGslSvc(const IGslSvc *value)
set new value for static Gaudi GSL Service
Definition: GaudiGSL.cpp:38
CommonMessagingBase::debug
MsgStream & debug() const
shortcut for the method msgStream(MSG::DEBUG)
Definition: CommonMessaging.h:115
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:209

StatusCode GslSvc::handle | ( | const GslError & | error | ) | const
| override

handle the GSL error

See also
  IGslSvc

Parameters

  err | error

Returns
  status code

Parameters

  error | error

Returns
  status code

Definition at line 180 of file GslSvc.cpp.

181 {
182 StatusCode sc = StatusCode::SUCCESS;
183 // code to be ignored?
184 if ( m_ignore.end() != std::find( m_ignore.begin(), m_ignore.end(), error.code ) ) {
185 return sc;
186 }
187 // invoke all handlers
188 for ( auto handler = m_handlers.begin(); sc.isSuccess() && m_handlers.end() != handler; ++handler ) {
189 sc = ( *handler )->handle( error );
190 }
191 //
192 return sc;
193 }
StatusCode::SUCCESS
Definition: StatusCode.h:31
GslError::code
int code
error code (GSL)
Definition: GslError.h:26
StatusCode::isSuccess
bool isSuccess() const
Test for a status code of SUCCESS.
Definition: StatusCode.h:75
GslSvc::m_ignore
Gaudi::Property< std::vector< int > > m_ignore
Definition: GslSvc.h:138
std::vector::end
T end(T...args)
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:28
std::find
T find(T...args)
std::vector::begin
T begin(T...args)
GslSvc::handler
GslErrorHandler handler() const override
retrieve the current GSL error handler
Definition: GslSvc.cpp:130
GslSvc::m_handlers
std::vector< IGslErrorHandler * > m_handlers
Definition: GslSvc.h:140

IGslSvc::GslErrorHandler GslSvc::handler | ( |  | ) | const
| override

retrieve the current GSL error handler

See also
  IGslSvc

Returns
  current GSL error handler
  current GSL error handler

Definition at line 130 of file GslSvc.cpp.

131 {
132 GslErrorHandler hh = gsl_set_error_handler( nullptr );
133 gsl_set_error_handler( hh );
134 return hh;
135 }

StatusCode GslSvc::initialize | ( |  | ) |
| override

standard service initialization

See also
  Service
  IGslSvc
  IService

Returns
  status code

See also
  Service
  IService

Returns
  status code

Prints the type of used handler get the handler

Get Tool Service

Definition at line 37 of file GslSvc.cpp.

38 {
39 // initialize the base class
40 StatusCode sc = Service::initialize();
41 if ( sc.isFailure() ) {
42 error() << " Error in initialization of base class 'Service'" << endmsg;
43 return sc;
44 }
45 // activate the static accessor to the service
46 GaudiGSL::setGslSvc( this );
47 // set the error handlers
48 if ( "GSL" == m_errorPolicy ) { /* nothing to do */
49 } else if ( "Off" == m_errorPolicy ) {
50 gsl_set_error_handler_off();
51 } else if ( "Abort" == m_errorPolicy ) {
52 gsl_set_error_handler( nullptr );
53 } else if ( "Ignore" == m_errorPolicy ) {
54 gsl_set_error_handler( GslErrorHandlers::ignoreTheError );
55 } else if ( "Exception" == m_errorPolicy ) {
56 gsl_set_error_handler( GslErrorHandlers::throwException );
57 } else if ( "Handle" == m_errorPolicy ) {
58 gsl_set_error_handler( GslErrorHandlers::handleTheError );
59 } else {
60 error() << " Unknown Error policy '" << m_errorPolicy << "'"
61 << " Valid policies: "
62 << "[ 'GSL' , 'Off' , 'Abort' , 'Ignore' , 'Exception' , 'Handle' ]" << endmsg;
63 return StatusCode::FAILURE;
64 }
67 GslErrorHandler handler = gsl_set_error_handler( nullptr );
68 gsl_set_error_handler( handler );
69 if ( handler ) {
70 verbose() << " GSL Error Handler is '" << System::typeinfoName( typeid( *handler ) ) << "'" << endmsg;
71 } else {
72 info() << " Error Handler is NULL" << endmsg;
73 }
74
75 if ( !m_handlersTypeNames.empty() ) {
77 auto toolsvc = serviceLocator()->service<IToolSvc>( "ToolSvc" );
78 if ( !toolsvc ) {
79 error() << " Could not locate Tool Service! " << endmsg;
80 return StatusCode::FAILURE;
81 }
82 for ( const auto& it : m_handlersTypeNames ) {
83 auto pos = it.find( '/' );
84 IGslErrorHandler* eh = nullptr;
85 if ( pos != std::string::npos ) {
86 sc = toolsvc->retrieveTool( it.substr( 0, pos ), it.substr( pos + 1 ), eh, this );
87 } else {
88 sc = toolsvc->retrieveTool( it, it, eh, this );
89 }
90 if ( sc.isFailure() ) {
91 error() << " Could not retrieve tool '" << it << "'" << endmsg;
92 return sc;
93 }
94 if ( !eh ) {
95 error() << " Could not retrieve tool '" << it << "'" << endmsg;
96 return StatusCode::FAILURE;
97 }
98 m_handlers.push_back( eh );
99 }
100 }
101 //
102 return StatusCode::SUCCESS;
103 }
GslErrorHandlers::handleTheError
GAUDI_API void handleTheError(const char *reason, const char *file, int line, int code)
The simplest Gsl Error handler, It delegates the actual error handling to GSL Service.
Definition: GslErrorHandlers.cpp:28
IToolSvc
The interface implemented by the IToolSvc base class.
Definition: IToolSvc.h:19
Service::initialize
StatusCode initialize() override
Definition: Service.cpp:64
StatusCode::SUCCESS
Definition: StatusCode.h:31
GslSvc::m_errorPolicy
Gaudi::Property< std::string > m_errorPolicy
Definition: GslSvc.h:136
GslSvc::m_handlersTypeNames
Gaudi::Property< std::vector< std::string > > m_handlersTypeNames
Definition: GslSvc.h:137
StatusCode::FAILURE
Definition: StatusCode.h:31
CommonMessagingBase::info
MsgStream & info() const
shortcut for the method msgStream(MSG::INFO)
Definition: CommonMessaging.h:112
System::typeinfoName
GAUDI_API const std::string typeinfoName(const std::type_info &)
Get platform independent information about the class type.
Definition: System.cpp:329
GaudiGSL::setGslSvc
static const IGslSvc * setGslSvc(const IGslSvc *value)
set new value for static Gaudi GSL Service
Definition: GaudiGSL.cpp:38
CommonMessagingBase::verbose
MsgStream & verbose() const
shortcut for the method msgStream(MSG::VERBOSE)
Definition: CommonMessaging.h:118
IGslErrorHandler
The abstract interface for arbitrary GSL error handler.
Definition: IGslErrorHandler.h:15
GslErrorHandlers::throwException
GAUDI_API void throwException(const char *reason, const char *file, int line, int code)
The simple Gsl Error handler, it throwns the Gaudi Exception.
Definition: GslErrorHandlers.cpp:38
StatusCode::isFailure
bool isFailure() const
Test for a status code of FAILURE.
Definition: StatusCode.h:86
ISvcLocator::service
StatusCode service(const Gaudi::Utils::TypeNameString &name, T *&svc, bool createIf=true)
Templated method to access a service by name.
Definition: ISvcLocator.h:79
std::vector::push_back
T push_back(T...args)
CommonMessagingBase::error
MsgStream & error() const
shortcut for the method msgStream(MSG::ERROR)
Definition: CommonMessaging.h:106
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:28
GslSvc::handler
GslErrorHandler handler() const override
retrieve the current GSL error handler
Definition: GslSvc.cpp:130
GslSvc::m_handlers
std::vector< IGslErrorHandler * > m_handlers
Definition: GslSvc.h:140
GslErrorHandlers::ignoreTheError
GAUDI_API void ignoreTheError(const char *reason, const char *file, int line, int code)
The simplest Gsl Error handler, It simply ingnores the error.
Definition: GslErrorHandlers.cpp:23
Service::serviceLocator
SmartIF< ISvcLocator > & serviceLocator() const override
Retrieve pointer to service locator.
Definition: Service.cpp:292
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:209

GslSvc& GslSvc::operator= | ( | const GslSvc & |  | ) |
| delete

IGslSvc::GslErrorHandler GslSvc::setHandler | ( | GslErrorHandler | handler | ) | const
| override

set new GSL error handler

See also
  IGslSvc

Parameters

  handler | new GSL error handler

Returns
  GSL error handler

Parameters

  handler | new GSL error handler

Returns
  GSL error handler

Definition at line 144 of file GslSvc.cpp.

145 {
146 gsl_set_error_handler( handler );
147 {
148 debug() << " New GSL handler is set '" << ( handler ? System::typeinfoName( typeid( handler ) ) : "NULL" ) << "'"
149 << endmsg;
150 }
151 return handler;
152 }
System::typeinfoName
GAUDI_API const std::string typeinfoName(const std::type_info &)
Get platform independent information about the class type.
Definition: System.cpp:329
CommonMessagingBase::debug
MsgStream & debug() const
shortcut for the method msgStream(MSG::DEBUG)
Definition: CommonMessaging.h:115
GslSvc::handler
GslErrorHandler handler() const override
retrieve the current GSL error handler
Definition: GslSvc.cpp:130
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:209

StatusCode GslSvc::status | ( | const int | error | ) | const
| override

transform GSL error code to Gaudi status code

See also
  IGslSvc

Parameters

  error | GLS error code

Returns
  status code

Parameters

  error | GLS error code

Returns
  status code

Definition at line 161 of file GslSvc.cpp.

162 {
163 if ( GSL_SUCCESS == error ) {
164 return StatusCode::SUCCESS;
165 }
166 StatusCode sc( error );
167 if ( sc.isSuccess() ) {
168 return StatusCode::FAILURE;
169 }
170 return sc;
171 }
StatusCode::SUCCESS
Definition: StatusCode.h:31
StatusCode::FAILURE
Definition: StatusCode.h:31
CommonMessagingBase::error
MsgStream & error() const
shortcut for the method msgStream(MSG::ERROR)
Definition: CommonMessaging.h:106
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:28

## Member Data Documentation

Gaudi::Property<std::string> GslSvc::m_errorPolicy {this, "ErrorPolicy", "GSL", ""}
| private

Definition at line 136 of file GslSvc.h.

std::vector<IGslErrorHandler*> GslSvc::m_handlers
| private

Definition at line 140 of file GslSvc.h.

Gaudi::Property<std::vector<std::string> > GslSvc::m_handlersTypeNames {this, "Handlers", {}, ""}
| private

Definition at line 137 of file GslSvc.h.

Gaudi::Property<std::vector<int> > GslSvc::m_ignore {this, "IgnoreCodes", {}, "codes to be ignored"}
| private

Definition at line 138 of file GslSvc.h.

The documentation for this class was generated from the following files:

- GaudiGSL/src/Components/GslSvc.h
- GaudiGSL/src/Components/GslSvc.cpp